## ros-lunar-audio-play 0.3.3

=== debian/changelog ===
ros-lunar-audio-play (0.3.3-0stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 May 2018 00:00:00 -0000

ros-lunar-audio-play (0.3.2-0stretch) stretch; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #101 <https://github.com/ros-drivers/audio_common/issues/101> from EndPointCorp/audio_play_dont_pause_pipeline
    audio_play: Fix mp3 clip overlap by never pausing the pipeline
  * audio_play: Don't pause the pipeline
    This prevents glitches when playing short mp3 clips.
  * Merge pull request #90 <https://github.com/ros-drivers/audio_common/issues/90> from prarobo/master
    Error checking code and improvements to launch files
  * Merge pull request #1 <https://github.com/ros-drivers/audio_common/issues/1> from prarobo/fixes
    Error checking code and improvements to launch files
  * Added parameters to launch files
  * Contributors: Austin, Matt Vollrath, Prasanna Kannappan, Yuki Furuta, prarobo

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-lunar-audio-play (0.3.1-0stretch) stretch; urgency=high

  * Update to new gstreamer rosdeps
  * #70 can launch these in different namespaces with different microphones, and both are operating.
  * Add changelogs
  * Changed message level to warning
  * Fixed problem that CMake uses gstreamer-0.1 instead of gstreamer-1.0
  * Fixed underflow.
    Before the sink buffer underflows the pipeline is paused. When data is received again the pipeline is set to playing again.
  * Added gstreamer 1.0 dependecies
  * Ported to gstreamer 1.0
    package.xml dependencies still missing
  * Change audio sink to autoaudiosink
  * Update maintainer email
  * Contributors: Benny, Hans Gaiser, Lucas Walter, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sun, 28 Aug 2016 00:00:00 -0000

ros-lunar-audio-play (0.2.11-0stretch) stretch; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 16 Feb 2016 00:00:00 -0000

ros-lunar-audio-play (0.2.10-0stretch) stretch; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Jan 2016 00:00:00 -0000

ros-lunar-audio-play (0.2.9-0stretch) stretch; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-lunar-audio-play (0.2.8-0stretch) stretch; urgency=high

  * Changed message level to warning
  * Fixed underflow.
    Before the sink buffer underflows the pipeline is paused. When data is received again the pipeline is set to playing again.
  * Change audio sink to autoaudiosink
  * Update maintainer email
  * Contributors: Benny, Hans Gaiser, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 02 Oct 2015 00:00:00 -0000

ros-lunar-audio-play (0.2.7-0stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 25 Jul 2014 00:00:00 -0000

ros-lunar-audio-play (0.2.6-0stretch) stretch; urgency=high

  * audio_capture and play _require_ gstreamer, it's not optional
  * Contributors: v4hn

 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Feb 2014 00:00:00 -0000

ros-lunar-audio-play (0.2.5-0stretch) stretch; urgency=high

  * "0.2.5"
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Jan 2014 00:00:00 -0000

ros-lunar-audio-play (0.2.4-0stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 10 Sep 2013 00:00:00 -0000

ros-lunar-audio-play (0.2.3-0stretch) stretch; urgency=high

  * Fix dependencies and install rules.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-lunar-audio-play (0.2.2-0stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Apr 2013 00:00:00 -0000

ros-lunar-audio-play (0.2.1-0stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 13:59:00 -0000

ros-lunar-audio-play (0.2.0-0stretch) stretch; urgency=high

  * Finish catkinizing audio_common.
  * Catkinize audio_play.
  * Fix typo in package.xml
  * Versions and more URLs.
  * Convert manifests to package.xml
  * Ditch old makefiles.
  * Updates manifest
  * Updated manifests for rodep2
  * oneiric build fixes, bump version to 0.1.6
  * Removed another duplicate thread::thread
  * Added a rosdep.yaml file
  * Fixed to use audio_common_msgs
  * Added ability to use different festival voices
  * Updated documentation
  * Update to audio_play
  * Fixed ignore files
  * Added hgignore files
  * Audio_capture and audio_play working
  * Making separate audio_capture and audio_play packages
  * Contributors: Austin Hendrix, Brian Gerkey, Nate Koenig, nkoenig

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 13:49:00 -0000
